=== debian/control ===
Source: openldap
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Uploaders: Roland Bauerschmidt <rb@debian.org>,
 Steve Langasek <vorlon@debian.org>,
 Torsten Landschoff <torsten@debian.org>,
 Matthijs Möhlmann <matthijs@cacholong.nl>,
 Timo Aaltonen <tjaalton@ubuntu.com>,
 Ryan Tandy <ryan@nardis.ca>
Build-Depends: debhelper (>= 9.20141010),
               dh-apparmor,
               dh-autoreconf,
               dpkg-dev (>= 1.17.14),
               groff-base,
               heimdal-dev <!stage1>,
               libdb5.3-dev <!stage1>,
               libgnutls28-dev,
               libltdl-dev <!stage1>,
               libperl-dev (>= 5.8.0) <!stage1>,
               libsasl2-dev,
               libslp-dev <!stage1>,
               libwrap0-dev <!stage1>,
               lsb-release,
               nettle-dev <!stage1>,
               perl:any,
               po-debconf,
               time <!stage1>,
               unixodbc-dev <!stage1>
Build-Conflicts: libbind-dev, bind-dev, libicu-dev, autoconf2.13
Standards-Version: 3.9.6
Homepage: http://www.openldap.org/
Vcs-Git: git://anonscm.debian.org/pkg-openldap/openldap.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-openldap/openldap.git

Package: slapd
Section: net
Priority: optional
Architecture: any
Build-Profiles: <!stage1>
Pre-Depends: debconf (>= 0.5) | debconf-2.0, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}),
 coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl,
 adduser, lsb-base (>= 3.2-13), ${misc:Depends}
Recommends: libsasl2-modules
Suggests: ldap-utils, ufw,
 libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
Replaces: libldap2, ldap-utils (<< 2.2.23-3)
Provides: ldap-server, ${slapd:Provides}
Description: OpenLDAP server (slapd)
 This is the OpenLDAP (Lightweight Directory Access Protocol) server
 (slapd). The server can be used to provide a standalone directory
 service.

Package: slapd-smbk5pwd
Section: net
Priority: extra
Architecture: any
Build-Profiles: <!stage1>
Depends: slapd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Keeps Samba and Kerberos passwords in sync within slapd.
 Extends the PasswordModify Extended Operation to update Kerberos keys
 and Samba password hashes for an LDAP user. The Kerberos support is
 written for Heimdal using its hdb-ldap backend. The Samba support is
 written using the Samba 3.0 LDAP schema.

Package: ldap-utils
Section: net
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
Recommends: libsasl2-modules
Suggests: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: umich-ldap-utils, openldap-utils, ldap-client
Replaces: openldap-utils, slapd (<< 2.2.23-0.pre6), openldapd
Provides: ldap-client, openldap-utils
Description: OpenLDAP utilities
 This package provides utilities from the OpenLDAP (Lightweight
 Directory Access Protocol) package. These utilities can access a
 local or remote LDAP server and contain all the client programs
 required to access LDAP servers.

Package: libldap-2.4-2
Section: libs
Priority: standard
Architecture: any
Multi-Arch: same
Conflicts: ldap-utils (<= 2.1.23-1)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libldap2, libldap-2.3-0
Description: OpenLDAP libraries 
 These are the run-time libraries for the OpenLDAP (Lightweight Directory
 Access Protocol) servers and clients.

Package: libldap-2.4-2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging information for OpenLDAP libraries
 This package provides detached debugging information for the OpenLDAP
 (Lightweight Directory Access Protocol) libraries. It is useful
 primarily to permit better backtraces and crash dump analysis after
 problems with the libraries. GDB will find this debug information
 automatically.

Package: libldap2-dev
Section: libdevel
Priority: extra
Architecture: any
Multi-Arch: same
Conflicts: libldap-dev, libopenldap-dev
Replaces: libopenldap-dev
Provides: libldap-dev
Depends: libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
Description: OpenLDAP development libraries
 This package allows development of LDAP applications using the OpenLDAP
 libraries. It includes headers, libraries and links to allow static and
 dynamic linking.

Package: slapd-dbg
Section: debug
Priority: extra
Architecture: any
Build-Profiles: <!stage1>
Depends: slapd (= ${binary:Version}), ${misc:Depends}
Description: Debugging information for the OpenLDAP server (slapd)
 This package provides detached debugging information for the OpenLDAP
 (Lightweight Directory Access Protocol) server (slapd). It is useful
 primarily to permit better backtraces and crash dump analysis after
 problems with the libraries. GDB will find this debug information
 automatically.
