## openldap 2.4.44+dfsg

=== contrib/slapd-modules/nssov/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # $OpenLDAP$
 # This work is part of OpenLDAP Software <http://www.openldap.org/>.
 #
-# Copyright 2008-2015 The OpenLDAP Foundation.
+# Copyright 2008-2016 The OpenLDAP Foundation.
 # Portions Copyright 2008 Howard Chu, Symas Corp. All Rights Reserved.
 #
 # Redistribution and use in source and binary forms, with or without
