=== debian/changelog ===
openldap (2.4.44+dfsg-5+deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 08 Oct 2017 17:26:10 -0700

openldap (2.4.44+dfsg-5+deb9u1) stretch; urgency=medium

  * Relax the dependency of libldap-2.4-2 on libldap-common to also permit 
    later versions. (Closes: #860774)
  * Disable test060-mt-hot on ppc64el temporarily to avoid failing tests until 
    the underlying kernel bug #866122 is fixed.
  * Fix upgrade failure when olcSuffix contains a backslash. (Closes: #864719)
  * Import upstream patch to avoid reading the value of the 
    LDAP_OPT_X_TLS_REQUIRE_CERT option from previously freed memory. 
    (ITS#8385) (Closes: #820244)
  * Import upstream patch to fix potential endless replication loop in a 
    multi-master delta-syncrepl scenario with 3 or more nodes.
    (ITS#8432) (Closes: #868753)
  * Import upstream patches to fix memory corruption caused by calling 
    sasl_client_init() multiple times and possibly concurrently.
    (ITS#8648) (Closes: #860947)

 -- Ryan Tandy <ryan@nardis.ca>  Thu, 10 Aug 2017 12:12:46 -0700

openldap (2.4.44+dfsg-5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ryan Tandy <ryan@nardis.ca>  Sat, 10 Jun 2017 14:24:03 -0700

openldap (2.4.44+dfsg-5) unstable; urgency=medium

  * debian/patches/ITS-8644-wait-for-slapd-to-start-in-test064.patch: Fix an 
    intermittently failing test by waiting for slapd to start before running 
    tests. (ITS#8644) (Closes: #770890)
  * debian/patches/ITS-8655-paged-results-double-free.patch: Fix a double free 
    in the MDB backend on a search including the Paged Results control with a 
    page size of 0. (ITS#8655) (CVE-2017-9287) (Closes: #863563)

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 28 May 2017 09:59:46 -0700

openldap (2.4.44+dfsg-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ryan Tandy <ryan@nardis.ca>  Mon, 24 Apr 2017 19:07:38 -0700

openldap (2.4.44+dfsg-4) unstable; urgency=medium

  * Improve the slapd/ppolicy_schema_needs_update debconf template. Thanks to 
    Justin B Rye for the review.
  * Update Catalan debconf translation. (Closes: #851905)
    Thanks to Innocent De Marchi.
  * Update Czech debconf translation. (Closes: #852190)
    Thanks to Miroslav Kure.
  * Update Danish debconf translation. (Closes: #850859)
    Thanks to Joe Dalton.
  * Update German debconf translation. (Closes: #851480)
    Thanks to Helge Kreutzmann.
  * Update Basque debconf translation. (Closes: #850812)
    Thanks to Iñaki Larrañaga Murgoitio.
  * Update French debconf translation. (Closes: #852459)
    Thanks to Jean-Pierre Giraud.
  * Update Italian debconf translation. (Closes: #852074)
    Thanks to Luca Monducci.
  * Update Japanese debconf translation. (Closes: #851457)
    Thanks to Kenshi Muto.
  * Update Dutch debconf translation. (Closes: #852405)
    Thanks to Frans Spiesschaert.
  * Update Brazilian Portuguese debconf translation. (Closes: #852443)
    Thanks to Adriano Rafael Gomes.
  * Update Russian debconf translation. (Closes: #850833)
    Thanks to Yuri Kozlov.
  * Update Slovak debconf translation. (Closes: #850796)
    Thanks to Ivan Masár.
  * Update Swedish debconf translation. (Closes: #851168)
    Thanks to Martin Bagge.
  * Update Turkish debconf translation. (Closes: #851470)
    Thanks to Atila KOÇ.
  * Update Vietnamese debconf translation.
    Thanks to Trần Ngọc Quân.
  * Update Build-Depends on debhelper to ensure shlibs files are installed at 
    the expected time during build. (Closes: #854158)
  * Update Portuguese debconf translation. (Closes: #859943)
    Thanks to Rui Branco and DebianPT.
  * Dump the configuration and databases to LDIF before removing slapd, so 
    that they are available if a newer version requiring migration is 
    installed later. (Closes: #665199)
  * When creating a new configuration with dpkg-reconfigure, back up the old 
    configuration before overwriting it.

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 16 Apr 2017 20:10:43 -0700

openldap (2.4.44+dfsg-3) unstable; urgency=medium

  * Apply upstream patch to fix FTBFS on kFreeBSD. (Closes: #845394)
  * Restore heimdal support to the smbk5pwd overlay.

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 01 Jan 2017 19:47:36 -0800

openldap (2.4.44+dfsg-2) unstable; urgency=medium

  [ Ryan Tandy ]
  * Update Standards-Version to 3.9.8; no changes required.
  * Enable dh_makeshlibs for libldap-2.4-2. Remove libldap-2.4-2.postinst, now 
    replaced by the automatic ldconfig trigger.
  * Don't execute slapd's override_dh_install when building only 
    arch-independent packages. (Closes: #845506)
  * Override lintian false positives on slapd.README.Debian, 
    slapd-smbk5pwd.postinst, and slapd-smbk5pwd triggering ldconfig.
  * Perform permissions changes in override_dh_fixperms instead of in 
    override_dh_install.
  * Remove manual chmod of schema files since dh_fixperms sets correct 
    permissions automatically.
  * Fix slapd-smbk5pwd failing to upgrade when there are no instances of the 
    overlay configured.

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass CC to make explicitly. (Closes: #839251)

 -- Ryan Tandy <ryan@nardis.ca>  Thu, 01 Dec 2016 19:40:20 -0800

openldap (2.4.44+dfsg-1) unstable; urgency=medium

  [ Ryan Tandy ]
  * New upstream release.
    - Fixed ppolicy not unlocking policy entry after initialization failure 
      (ITS#7537) (Closes: #702414)
  * Drop ITS8240-remove-obsolete-assert.patch, included upstream.
  * Update debian/schema/ppolicy.schema to add the pwdMaxRecordedFailure 
    attribute.
  * Update libldap-2.4-2.symbols with new ldap_build_*_req symbols.
  * Mark the build target in debian/rules as phony, since the upstream source 
    includes a build/ directory.
  * Correct the list of files to be cleaned for the pw-sha2 contrib module.
  * Fix a typo (slpad -> slapd) in the Catalan debconf translation.

