=== debian/control ===
--- 
+++ 
@@ -1,38 +1,34 @@
 Source: openldap
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
 Uploaders: Roland Bauerschmidt <rb@debian.org>,
  Steve Langasek <vorlon@debian.org>,
  Torsten Landschoff <torsten@debian.org>,
  Matthijs Möhlmann <matthijs@cacholong.nl>,
  Timo Aaltonen <tjaalton@ubuntu.com>,
  Ryan Tandy <ryan@nardis.ca>
-Build-Depends: debhelper (>= 9.20141010),
-               dh-apparmor,
+Build-Depends: debhelper (>= 9.20150501),
                dh-autoreconf,
                dpkg-dev (>= 1.17.14),
                groff-base,
-               heimdal-dev <!stage1>,
+               heimdal-multidev <!stage1>,
                libdb5.3-dev <!stage1>,
                libgnutls28-dev,
                libltdl-dev <!stage1>,
                libperl-dev (>= 5.8.0) <!stage1>,
                libsasl2-dev,
-               libslp-dev <!stage1>,
                libwrap0-dev <!stage1>,
-               lsb-release,
                nettle-dev <!stage1>,
                perl:any,
                po-debconf,
                time <!stage1>,
                unixodbc-dev <!stage1>
 Build-Conflicts: libbind-dev, bind-dev, libicu-dev, autoconf2.13
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.openldap.org/
-Vcs-Git: git://anonscm.debian.org/pkg-openldap/openldap.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-openldap/openldap.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-openldap/openldap.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-openldap/openldap.git
 
 Package: slapd
 Section: net
@@ -44,7 +40,7 @@
  coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl,
  adduser, lsb-base (>= 3.2-13), ${misc:Depends}
 Recommends: libsasl2-modules
-Suggests: ldap-utils, ufw,
+Suggests: ldap-utils,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
 Replaces: libldap2, ldap-utils (<< 2.2.23-3)
@@ -89,11 +85,22 @@
 Multi-Arch: same
 Conflicts: ldap-utils (<= 2.1.23-1)
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libldap-common (>= ${source:Version})
 Replaces: libldap2, libldap-2.3-0
 Description: OpenLDAP libraries 
  These are the run-time libraries for the OpenLDAP (Lightweight Directory
  Access Protocol) servers and clients.
+
+Package: libldap-common
+Section: libs
+Priority: standard
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Replaces: libldap-2.4-2 (<< 2.4.44+dfsg-1)
+Description: OpenLDAP common files for libraries
+ These are common files for the run-time libraries for the OpenLDAP
+ (Lightweight Directory Access Protocol) servers and clients.
 
 Package: libldap-2.4-2-dbg
 Section: debug
