=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,7 @@
 # want the checks for DFSG-freeness.
 #DFSG_NONFREE = 1
 
-export DEB_CFLAGS_MAINT_APPEND := -Wall -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DLDAP_CONNECTIONLESS -I/usr/include/heimdal
-export DEB_LDFLAGS_MAINT_APPEND := -L/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
+export DEB_CFLAGS_MAINT_APPEND := -Wall -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
 export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow
 
 # Workaround for bad glibc behavior when resolving localhost
@@ -14,14 +13,14 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 CONFIG		= $(shell grep -v "^\#" debian/configure.options)
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 	CONFIG += --disable-bdb --disable-hdb --disable-mdb
 endif
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-	# --disable-slapd should imply --disable-slp, ITS#8224
-	CONFIG += --disable-slapd --disable-slp
+	CONFIG += --disable-slapd
 endif
 
 # Ensure CC is set correctly for cross builds, unless it has already 
@@ -62,8 +61,12 @@
 	rm -r openldap-$(VERSION)+dfsg
 	gzip -9 openldap_$(VERSION)+dfsg.orig.tar
 
+DH = dh $@ --with autoreconf --builddirectory=$(builddir) --parallel
+.PHONY: build
+build:
+	$(DH)
 %:
-	dh $@ --with autoreconf --builddirectory=$(builddir) --parallel
+	$(DH)
 
 # Only contrib/ldapc++ uses Automake, so special care is needed to update
 # config.guess and config.sub at the top level.
@@ -100,18 +103,23 @@
 override_dh_auto_build:
 	dh_auto_build -- $(MAKEVARS)
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-	$(MAKE) -C contrib/slapd-modules/smbk5pwd
-	$(MAKE) -C contrib/slapd-modules/nssov/ $(MAKEVARS) nssov.la
-	$(MAKE) -C contrib/slapd-modules/autogroup
-	$(MAKE) -C contrib/slapd-modules/lastbind
-	$(MAKE) -C contrib/slapd-modules/passwd/sha2
-endif
+	$(MAKE) -C contrib/slapd-modules/smbk5pwd CC=$(CC)
+	$(MAKE) -C contrib/slapd-modules/autogroup CC=$(CC)
+	$(MAKE) -C contrib/slapd-modules/lastbind CC=$(CC)
+	$(MAKE) -C contrib/slapd-modules/passwd/sha2 CC=$(CC)
+endif
+
+override_dh_auto_test:
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+	# Disable test060-mt-host on ppc64el until #866122 is fixed.
+	rm -f tests/scripts/test060-mt-hot
+endif
+	dh_auto_test
 
 override_dh_auto_install:
 	dh_auto_install -- $(MAKEVARS)
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	$(MAKE) -C contrib/slapd-modules/smbk5pwd install DESTDIR=$(installdir)
-	$(MAKE) -C contrib/slapd-modules/nssov install DESTDIR=$(installdir)
 	$(MAKE) -C contrib/slapd-modules/autogroup install DESTDIR=$(installdir)
 	$(MAKE) -C contrib/slapd-modules/lastbind install DESTDIR=$(installdir)
 	$(MAKE) -C contrib/slapd-modules/passwd/sha2 install DESTDIR=$(installdir)
@@ -137,26 +145,15 @@
 	    fi; \
 	done
 
-	# Upstream installs schema files in mode 0444 - policy wants 0644
-	find $(installdir)/etc -type f|xargs chmod 0644
 	# Upstream manpages are section 8C but installed as section 8
 	find $(installdir)/usr/share/man -name \*.8 \
 		| xargs perl -pi -e 's#(\.TH \w+ 8)C#$$1#'
 
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-override_dh_install:
+override_dh_install-arch:
 	dh_install
 	rm -rf $(CURDIR)/debian/slapd/usr/lib/ldap/smbk5pwd*
-	chmod 0755 $(CURDIR)/debian/slapd/usr/share/slapd/ldiftopasswd
-endif
-
-	# install AppArmor profile
-	install -D -m 644 $(CURDIR)/debian/apparmor-profile $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd
-
-	# install ufw profile
-	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd
-
-	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
+endif
 
 override_dh_installinit:
 	dh_installinit -- "defaults 19 80"
@@ -165,6 +162,10 @@
 override_dh_installman:
 	dh_installman
 	rm -f $(CURDIR)/debian/slapd/usr/share/man/man5/slapo-smbk5pwd.*
+
+override_dh_fixperms-arch:
+	dh_fixperms
+	chmod +x $(CURDIR)/debian/slapd/usr/share/slapd/ldiftopasswd
 endif
 
 override_dh_strip:
@@ -189,13 +190,6 @@
 	dh_link
 
 override_dh_makeshlibs:
-	# ideally we would do this and not have any libldap-2.4.so.2 links
-	# at all, but that requires adjusting the build scripts first to
-	# link against libldap_r, otherwise dh_shlibdeps fails
-	#dh_makeshlibs -plibldap-2.4-2 -V 'libldap-2.4-2 (>= 2.4.7)'
-	mkdir -p debian/libldap-2.4-2/DEBIAN
-	cp -p debian/libldap-2.4-2.shlibs debian/libldap-2.4-2/DEBIAN/shlibs
-	dpkg-gensymbols -plibldap-2.4-2 -Pdebian/libldap-2.4-2
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	echo "slapd:Provides=$$(objdump -p debian/slapd/usr/lib/$(DEB_HOST_MULTIARCH)/libslapi-*.so.* \
 		| sed -ne '/SONAME/ { s/[[:space:]]*SONAME[[:space:]]*//; \
@@ -203,7 +197,30 @@
 	)" >> debian/slapd.substvars
 	dh_makeshlibs -pslapd -X/usr/lib/ldap/ -V "$$(sed -ne's/slapd:Provides=//p' debian/slapd.substvars)"
 endif
+	dh_makeshlibs --remaining-packages
 
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 override_dh_installdeb:
 	dh_installdeb
+	perl -w debian/dh_installscripts-common -p slapd
+endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	# Update translation templates for debconf
+	debconf-updatepo
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+	# Remove our stripped schema from the upstream source area.
+	if [ -z "$(DFSG_NONFREE)" ]; then \
+	    set -e; for s in debian/schema/*.schema debian/schema/*.ldif; do \
+	        rm -f servers/slapd/schema/`basename $$s`; \
+	    done; \
+	fi
+
+	# Clean the contrib directory
+	rm -rf contrib/slapd-modules/smbk5pwd/.libs \
+		contrib/slapd-modules/smbk5pwd/smbk5pwd.lo \
+		contrib/slapd-modules/smbk5pwd/smbk5pwd.la \
+		contrib/slapd-modules/smbk5pwd/smbk5pwd.o
+	rm -rf contrib/slapd-modules/autogroup/.libs \
+		contrib/slapd-modules/autogroup/autogroup.lo \
